Bug 201777 - [patch] deskutils/nemo-extensions: unbreak build for FreeBSD 9, convert to USES=autoreconf:build
Summary: [patch] deskutils/nemo-extensions: unbreak build for FreeBSD 9, convert to US...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-23 00:15 UTC by Andriy Voskoboinyk
Modified: 2015-08-18 20:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gustau.perez)


Attachments
Makefile.diff (2.02 KB, patch)
2015-07-23 00:15 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (415 bytes, text/plain)
2015-07-23 00:16 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (224.84 KB, text/plain)
2015-07-23 00:17 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64.log (234.91 KB, text/plain)
2015-07-23 01:04 UTC, Andriy Voskoboinyk
no flags Details
Makefile.diff (2.17 KB, patch)
2015-07-24 22:15 UTC, Andriy Voskoboinyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-23 00:15:58 UTC
Created attachment 159098 [details]
Makefile.diff

- Convert to USES=autoreconf:build.
- Remove unused webkit-gtk3 dependency from configure.ac / Makefile.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-23 00:16:51 UTC
Created attachment 159099 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-23 00:17:07 UTC
Created attachment 159100 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-07-23 01:04:08 UTC
Created attachment 159102 [details]
poudriere-10.1-amd64.log
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-07-24 22:15:22 UTC
Created attachment 159204 [details]
Makefile.diff

- Bump PORTREVISION (because webkit-gtk3 will be removed from LIB_DEPENDS)
Comment 5 Philip M. Gollucci freebsd_committer 2015-08-12 01:51:28 UTC
Take.
Comment 6 Philip M. Gollucci freebsd_committer 2015-08-17 18:55:29 UTC
maintainer timeout (gustau.perez@gmail.com ; 25 days)
Comment 7 commit-hook freebsd_committer 2015-08-18 20:01:38 UTC
A commit references this bug:

Author: pgollucci
Date: Tue Aug 18 20:00:37 UTC 2015
New revision: 394645
URL: https://svnweb.freebsd.org/changeset/ports/394645

Log:
  deskutils/nemo-extensions: unbreak FreeBSD 9, modernize

  - Convert to USES=autoreconf:build.
  - Remove unused webkit-gtk3 dependency from configure.ac / Makefile.

  PR:                  201777
  Submitted by:        s3erios@gmail.com
  Approved by:         maintainer timeout (gustau.perez@gmail.com ; 25 days)

Changes:
  head/deskutils/nemo-extensions/Makefile
Comment 8 Philip M. Gollucci freebsd_committer 2015-08-18 20:07:27 UTC
Committed. Thanks!